Bug 249597 - databases/mongodb36: depends on python 2.x
Summary: databases/mongodb36: depends on python 2.x
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:20 UTC by Steve Wills
Modified: 2020-10-18 07:57 UTC (History)
4 users (show)

See Also:
dev: maintainer-feedback+


Attachments
v1 (76.11 KB, patch)
2020-10-03 19:14 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:20:37 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Ronald Klop 2020-09-25 14:59:41 UTC
Hi,

Net-mgmt/unifi5 depends on this port. It is used by quite some people.
Unfortunately mongodb42 does not support all features of unifi5. I already asked in the forum of Unifi what the plans are about this. But I don't get response yet.

How are you going to handle the unifi5 port?
Comment 2 Mikael Urankar freebsd_committer 2020-10-03 19:14:11 UTC
Created attachment 218500 [details]
v1

Can you test this patch?
Comment 3 Ronald Klop 2020-10-05 11:34:04 UTC
(In reply to Mikael Urankar from comment #2)
Nice work. I'm test building now on 12/aarch64.
Comment 4 Juraj Lutter 2020-10-05 16:18:16 UTC
Tested the build on 12-stable/amd64, using it for Unifi6. Works OK. python3 does seem to only be used in build phase.
Comment 5 Ronald Klop 2020-10-06 08:43:09 UTC
Builds and runs fine on 12/aarch64 (rpi3) with unifi 5.13.29.
Comment 6 Ronald Klop 2020-10-18 07:49:48 UTC
Maintainer timeout elapsed yesterday.
Does this need a keyword or is it automatically signaled somewhere somehow?
Comment 7 dev 2020-10-18 07:57:21 UTC
No, it just fell through the cracks, but I do get comment notifications, so thanks! I've just approved this.